Name:           toped
Version:        0.8.5
Release:        1%{?dist}
Summary:        IC Layout Editor

License:        GPL
Group:          Applications/Engineering
URL:            http://www.toped.org.uk

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:        http://download2.berlios.de/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  desktop-file-utils

%if "%{?fedora}" > "6"
BuildRequires:  compat-wxGTK26-devel
%else
BuildRequires:  wxGTK-devel
%endif

%description
Toped is an open source cross-platform IC layout editor,
based on openGL and wxWidgets.

%prep
%setup -q

# instead of exporting the variable $TPD_GLOBAL
sed -i 's|\$TPD_GLOBAL\/|%{_datadir}/%{name}/|' src/main.cpp
sed -i 's|\*\$TPD_GLOBAL\*|%{_datadir}/%{name}/|' src/main.cpp

%build

%configure       \
   --with-gtk    \
   --with-opengl \
%if "%{?fedora}" > "6"
   --with-wx-config=%{_bindir}/wx-2.6-config \
%endif
   --enable-threads
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%{__make} INSTALL="install -p" DESTDIR=%{buildroot} install

%{__rm} -f %{buildroot}%{_libdir}/libtpd*.{a,la}

desktop-file-install --vendor ""                 \
  --add-category "Engineering"                   \
  --dir %{buildroot}%{_datadir}/applications/    \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
%{__cp} -p ui/%{name}_16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/toped.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
%{__cp} -p ui/%{name}_32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/toped.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
%{__cp} -p ui/%{name}_64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/toped.png

#%{__mkdir} -p %{buildroot}%{_datadir}/fonts/%{name}/
#%{__cp} -p %{buildroot}%{_datadir}/%{name}/fonts/* %{buildroot}%{_datadir}/fonts/%{name}/

# removing duplicates
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/icons/
#%{__rm} -rf %{buildroot}%{_datadir}/%{name}/fonts

#No translations
#%find_lang %{name}

%{__rm} -rf %{buildroot}%{_libdir}/libtpd_common.so
%{__rm} -rf %{buildroot}%{_libdir}/libtpd_DB.so
%{__rm} -rf %{buildroot}%{_libdir}/libtpd_parser.so

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS TODO
%{_bindir}/%{name}
%{_libdir}/libtpd*.so*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/toped.png
#%{_datadir}/fonts/%{name}/


%Changelog
* Sat Mar 10 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.5-1
- New upstream release

* Mon Feb 26 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-8
- fixed for rawhide compat-wxGTK26

* Fri Dec 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-7
- patch for wxWidgets-2.8

* Mon Dec 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-6
- Fixed fedora vendor

* Mon Dec 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-5
- Rebuild for development

* Mon Dec 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-4
- Fixed kmenu desktop file to science menu

* Sun Dec 24 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-3
- FC6 rebuilt
- removed fedora vendor

* Mon Sep 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-2
- Removed the devel package

* Mon Sep 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.2-1
- New upstream release 0.8.2

* Wed Sep 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.1-2
- Icons received by upstream (by mail)

* Mon Sep 18 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.8.1-1
- initial package
